#!/usr/bin/env node

// Renvoyer une aire géographique pour une adresse

// Usage:
// node ./bin/address-to-area.mjs data/addresses-40-cnrs-rnsr-big-classes-train.txt

import { fs } from "zx";
import { getArea, getMapping, getSpacedMapping } from "../libs/geo.mjs";

const [, , inputFilePath] = process.argv;
console.error({ inputFilePath })

const mapping = await getMapping();
const spacedMapping = getSpacedMapping(mapping);

const addresses = (await fs.readFile(inputFilePath, "utf-8"))
    .split("\n");

for (const address of addresses) {
    const area = getArea(address, mapping, spacedMapping);
    if (Array.isArray(area)) {
        console.error(`${address} => ${area}`);
    }
    else if (area === "UNKNOWN") {
        // console.error(`${address} => ${area}`);
        console.log(`${area}\t${address}`);
    }
    else {
        console.log(`${area}\t${address}`);
    }
}
