#!/usr/bin/env node

// Renvoyer une aire géographique pour une adresse

// Usage:
// node ./bin/assign-to-areas.mjs data/area-address-test.tsv

import { fs } from "zx";

const [, , inputFilePath] = process.argv;

const areaAdresses = (await fs.readFile(inputFilePath, "utf-8"))
    .split("\n");

for (const areaAddress of areaAdresses) {
    const [area, address] = areaAddress.split("\t");

    if (area?.length && await fs.pathExists(`areas/${area}`)) {
        await fs.appendFile(`areas/${area}/addresses-test.txt`, `${address}\n`, "utf-8");
        continue;
    }
    await fs.appendFile(`areas/GatheredLittleAreas/addresses-test.txt`, `${address}\n`, "utf-8");
}
