#!/usr/bin/env bash

duration=${1:-60} # seconds
areas=${2:-*} # * or ANGERS
size=${3:-2M}

for areaPath in areas/${areas}
do
    area="${areaPath#areas/}"
    echo "${area} ------------"
    bin/fasttext supervised \
        -input "areas/${area}/addresses-train.txt" \
        -output "models/${area}" \
        -autotune-validation \
        "areas/${area}/addresses-test.txt" \
        -autotune-duration ${duration} \
        -autotune-modelsize ${size}
done
